Upstream information

CVE-2022-27774 at MITRE

Description

An insufficiently protected credentials vulnerability exists in curl 4.9 to and include curl 7.82.0 are affected that could allow an attacker to extract credentials when follows HTTP(S) redirects is used with authentication could leak credentials to other services that exist on different protocols or port numbers.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.5
Vector AV:N/AC:M/Au:S/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.7 6.2
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:R/S:U/C:H/I:N/A:N CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network Local
Access Complexity Low Low
Privileges Required Low None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1198608 [IN_PROGRESS]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • curl >= 7.79.1-150400.3.1
  • libcurl-devel >= 7.79.1-150400.3.1
  • libcurl4 >= 7.79.1-150400.3.1
  • libcurl4-32bit >= 7.79.1-150400.3.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA curl-7.79.1-150400.3.1
openSUSE Leap 15.4
  • curl >= 7.79.1-150400.3.1
  • libcurl4 >= 7.79.1-150400.3.1
  • libcurl4-32bit >= 7.79.1-150400.3.1
Patchnames:
openSUSE Leap 15.4 GA curl-7.79.1-150400.3.1
openSUSE Tumbleweed
  • curl >= 7.83.0-1.1
  • libcurl-devel >= 7.83.0-1.1
  • libcurl-devel-32bit >= 7.83.0-1.1
  • libcurl4 >= 7.83.0-1.1
  • libcurl4-32bit >= 7.83.0-1.1
Patchnames:
openSUSE Tumbleweed GA curl-7.83.0-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 curl Affected
SLES15-EC2-CHOST-HVM-BYOS curl Affected
SLES15-SP1-CHOST-BYOS-Ali curl Affected
SLES15-SP1-CHOST-BYOS-Azure curl Affected
SLES15-SP1-CHOST-BYOS-EC2 curl Affected
SLES15-SP1-CHOST-BYOS-GCE curl Affected
SLES15-SP1-CHOST-BYOS-OpenStack curl Affected
SLES15-SP2-CHOST-BYOS-Aliyun curl Affected
SLES15-SP2-CHOST-BYOS-Azure curl Affected
SLES15-SP2-CHOST-BYOS-EC2 curl Affected
SLES15-SP2-CHOST-BYOS-GCE curl Affected
SLES15-SP2-CHOST-BYOS-OpenStack curl Affected
SLES15-SP3-CHOST-BYOS-Aliyun curl Affected
SLES15-SP3-CHOST-BYOS-Azure curl Affected
SLES15-SP3-CHOST-BYOS-EC2 curl Affected
SLES15-SP3-CHOST-BYOS-GCE curl Affected
SLES15-SP4-CHOST-BYOS-Aliyun curl Already fixed
SLES15-SP4-CHOST-BYOS-Azure curl Already fixed
SLES15-SP4-CHOST-BYOS-EC2 curl Already fixed
SLES15-SP4-CHOST-BYOS-GCE curl Already fixed
SUSE CaaS Platform 4.0 curl Affected
SUSE Enterprise Storage 6 curl Affected
SUSE Enterprise Storage 7 curl Affected
SUSE Linux Enterprise Desktop 15 SP3 curl Affected
SUSE Linux Enterprise Desktop 15 SP4 curl Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 curl Affected
SUSE Linux Enterprise High Performance Computing 15 LTSS curl Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS curl Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS curl Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS curl Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS curl Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 curl Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 curl Already fixed
SUSE Linux Enterprise Micro 5.0 curl Affected
SUSE Linux Enterprise Micro 5.1 curl Affected
SUSE Linux Enterprise Micro 5.2 curl Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 curl Affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 curl Already fixed
SUSE Linux Enterprise Real Time 15 SP2 curl Affected
SUSE Linux Enterprise Server 11 SP4 LTSS curl Affected
SUSE Linux Enterprise Server 12 SP2 BCL curl Affected
SUSE Linux Enterprise Server 12 SP3 BCL curl Affected
SUSE Linux Enterprise Server 12 SP3 ESPOS curl Affected
SUSE Linux Enterprise Server 12 SP3 LTSS curl Affected
SUSE Linux Enterprise Server 12 SP4 ESPOS curl Affected
SUSE Linux Enterprise Server 12 SP4 LTSS curl Affected
SUSE Linux Enterprise Server 12 SP5 curl Affected
SUSE Linux Enterprise Server 15 ESPOS curl Affected
SUSE Linux Enterprise Server 15 LTSS curl Affected
SUSE Linux Enterprise Server 15 SP1 LTSS curl Affected
SUSE Linux Enterprise Server 15 SP2 LTSS curl Affected
SUSE Linux Enterprise Server 15 SP3 curl Affected
SUSE Linux Enterprise Server 15 SP4 curl Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 curl Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 curl Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 curl Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 curl Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 curl Affected
SUSE Linux Enterprise Server for SAP Applications 15 curl Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 curl Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 curl Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 curl Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 curl Already fixed
SUSE Linux Enterprise Storage 7.1 curl Affected
SUSE Manager Proxy 4.1 curl Affected
SUSE Manager Proxy 4.2 curl Affected
SUSE Manager Proxy 4.3 curl Already fixed
SUSE Manager Retail Branch Server 4.1 curl Affected
SUSE Manager Retail Branch Server 4.2 curl Affected
SUSE Manager Retail Branch Server 4.3 curl Already fixed
SUSE Manager Server 4.1 curl Affected
SUSE Manager Server 4.2 curl Affected
SUSE Manager Server 4.3 curl Already fixed
SUSE OpenStack Cloud 8 curl Affected
SUSE OpenStack Cloud 9 curl Affected
SUSE OpenStack Cloud Crowbar 8 curl Affected
SUSE OpenStack Cloud Crowbar 9 curl Affected
suse/sle-micro-rancher/5.2
suse/sles/15.3/libguestfs-tools:0.45.0
curlAffected
bci/python
bci/python:3
bci/ruby
suse/manager/4.3/proxy-httpd
suse/sles/15.4/libguestfs-tools:0.49.0
suse/sles/15.4/virt-handler:0.49.0
curlAlready fixed